Phase • Animations made easy!

For me it works with no problem. Are you sure that the error comes from this extension ? Do you use others that might cause problems ?

:sparkles: Phase v2.2.1 :sparkles:


Changelog


  • Migrated to AndroidX. You should now no longer see the java.lang.NoClassDefFoundError runtime error.

  • Reduces the extension size by almost 50%

## Download

Direct: io.shreyash.phase.aix (56.9 KB)
Google Drive: io.shreyash.phase.aix - Google Drive

Edit: This version has some issues. Use v2.2.2 instead.

9 Likes

I try your aia and upgrade extension to V2.2.1
I use kodukar companion V1.5

when using dropout effects, this error occurred.
dropout

1 Like

Thanks for reporting, I’m investigating the issue.

1 Like

I would like to thank you for your timely and precise commitment for updating the extension. It is much appreciated!
I’ll try as soon as I get home.

Gennaro

:sparkles: Phase v2.2.2 HOTFIX


Changelog


  • Fixed the bug that caused the below runtime error.

    image

Download


Direct: io.shreyash.phase.aix (70.0 KB)
Google Drive: io.shreyash.phase.aix - Google Drive

Cheers,
Shreyash

11 Likes

Still one more issue.
I try Phase V2.2.2
when use FlipInX, animation doesn’t start.
then some moment, companion stop running.

other animations work fine.

Does it work when compiled?

same error happen on the apk

This bug has been there for quite some time now. It’s worth mentioning that it doesn’t happen on all devices, apps crash only on some low-end devices. I don’t think I’m going to fix it anytime soon, so, you better use some other animation technique. Sorry for the inconvenience.

2 Likes

never mind.
There are still a lot of animation to use.
Thanks

After kodular update to new version your extension not working the error is
IMG_20210719_170038

This post is just 3 post above you. Couldn’t you scroll little instead of posting?

4 Likes

I got it thanks for your support.

1 Like

When i’m trying to use this extension, i got an error:

java.lang.NoClassDefFoundError: Failed resolution of: Landroid/support/v4/view/ViewCompat

What is means and why i got this error… Before some days, i didn’t get this error but today i’m not able to use this extension due to this error, Please… Check it

Use the latest version:

i used it but still didn’t work.

Capture

What do you mean by “didn’t work”? Do you get the same error or a different one? Have you tried resetting your companion app?

Also, I see you are using other extensions, so, chances are it’s one of those extensions that might be causing the issue. What happens if you try Phase in a blank app with no other extension?

1 Like

I tried only with this… and i’m 100% sure that i got error when i use this extension because i check with this extension only. and every time i got error with white screen.

Error: java.lang.NoClassDefFoundError: Failed resolution of: Landroid/support/v4/view/ViewCompat

This post was flagged by the community and is temporarily hidden.